Subject: bug#67357: [PATCH] Fix c-ts-mode block indent when first-siblings are comments

From: Eli Zaretskii <[email-masked]>
Date: Sun, 10 Dec 2023 11:39:31 +0200

> Date: Sun, 10 Dec 2023 01:09:15 -0800
> Cc: [email-masked], [email-masked], [email-masked]
> From: Yuan Fu <[email-masked]>
> 
> 
> > Ping! Ping!  Yuan, please chime is, as I'm waiting for your comments
> > before we install on the release branch.
> >
> > This and other patches for TS-based modes are currently delaying the
> > release of Emacs 29.2, so please try to be more responsive, okay?
> >
> Whoa! Sorry, I just switched to a new email client, and direct CC isn't 
> highlight as they were before :-( (And admittedly I haven't been 
> browsing the bug tracker lately.)

OK, but please look also at other bugs and issues where I asked for
your opinions.

> As for the patch, first of all, thank you, Noah, it's very good. I try 
> to avoid query matchers since they could be slow, plus the fundamental 
> problem isn't with comments, IMO. The problem is when the first sibling 
> isn't on it's own line. (Though in normal C source code, when the first 
> sibling isn't on its own line, that sibling is usually a comment.) 
> Anyway, please see my reasoning in the commit message for 08fc6bace20.
> 
> I also removed the else_clause rule since it's already added by the 
> patch for bug#67417, and added another test.

Thanks, but please in the future mention _all_ relevant bug numbers
in the log message, or merge them if appropriate.